Page MenuHomePhabricator

Advanced Search: Consistently sort the Namespaces if all selected
Closed, ResolvedPublic

Description

When clicking on "all" in the Namespace-selection, the namespaces are added in a partly sorted order. Several of them are sorted in the order <namespace>,<discussionnamespace> but this order is not consistently.

This forces more concentration when removing for example all talk-pages, etc.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptNov 30 2017, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Schnark noted that they currently seem to be sorted alphabetically by NS-id.

Wenn man ein bisschen darüber nachdenkt, versteht man die Sortierung sogar (nicht, dass sie dadurch sinnvoller würde, aber zumindest erklärbar): Sie erfolgt nach Namensraumnummer, aber alphabetisch sortiert: 0 (Artikel) – 1 (Diskussion) – 10 (Vorlage) – 100 (Portal) – 101 (Portal Diskussion) – 11 (Vorlage Diskussion) – 12 (Hilfe) – 13 (Hilfe Diskussion) etc. Beim Benutzer drängt sich 2300+ zwischen 2 und 3, bei Mediawiki die 828, 829 zwischen 8 und 9. Da müsste also irgendwo auf nummerische Sortierung umgestellt werden. –Schnark 10:58, 30. Nov. 2017 (CET)

They should instead be sorted numerically by NS-id.

WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2017-12-13 board.

Change 398866 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/AdvancedSearch@master] Sort preselected namespaces by number

https://gerrit.wikimedia.org/r/398866

Change 398866 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Sort preselected namespaces by number

https://gerrit.wikimedia.org/r/398866

Tobi_WMDE_SW closed this task as Resolved.Jan 9 2018, 12:51 PM
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-Technical-Wishes-Team board.